# Directory/File.h file

### Contents

- Reference
  - Namespaces
  - Classes
  - Enums
  - Typedefs
  - Functions
  - Variables
  - Defines
  - A group

## Namespaces

namespace Namespace

## Classes

class Class
struct Struct
union Union
struct Namespace::ClassInANamespace
class Namespace::ClassInANamespace::ClassInAClass
class Namespace::ClassInModule
struct Namespace::StructInModule
union Namespace::UnionInModule

## Enums

enum Enum { A, B, C }
enum EnumInANamespace { A, B, C }
enum EnumInModule { }

## Typedefs

using Int = int
using Float = float
using IntInANamespace = int
using FloatInANamespace = float
using IntInModule = int
using FloatInModule = float

## Functions

void foo()
void fooInANamespace()
void fooInModule()

## Variables

const int Var constexpr
const int VarInANamespace constexpr
const int VarInModule constexpr

## Defines

#define A_DEFINE

## A group

#define A_DEFINE_IN_A_GROUP
enum FlagInAGroup { }
using MainInAGroup = void
void* variableInAGroup constexpr
void barInAGroup()

## Enum documentation

### enum Enum

Enumerators |
--- | ---
A |
B | This value is documented so the enum should be present in detailed docs.
C |

Tab / T to search, Esc to close
…

Search for symbols, directories, files, pages or modules. You can omit any prefix from the symbol or file path; adding a `:` or `/` suffix lists all members of given symbol or directory.

Use ↓ / ↑ to navigate through the list, Enter to go. Tab autocompletes common prefix, you can copy a link to the result using ⌘ L while ⌘ M produces a Markdown link.

Sorry, nothing was found.